Package org.apache.cxf.continuations

# Interface ContinuationProvider

public interface ContinuationProvider
Provides transport-neutral support for creating suspended invocation primitives or continuations

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `complete()`
  Let the provider know that the exchange is complete
  `Continuation`
  `getContinuation()`
  Creates a new continuation or retrieves the existing one

- ## Method Details

  - ### getContinuation

    Continuation getContinuation()
    Creates a new continuation or retrieves the existing one
    Returns:
      transport-neutral ContinuationWrapper

  - ### complete

    void complete()
    Let the provider know that the exchange is complete